Add a content item to a bundle
POST /api/bundles/{bundleId}/items. Add a content item to a bundle. Headless LMS Content API reference.
Path Parameters
bundleId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/bundles/string/items" \ -H "Content-Type: application/json" \ -d '{ "contentId": "string" }'[ { "orgId": "string", "bundleId": "string", "contentId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }]{ "error": "string", "message": "string", "requestId": "string"}List a bundle's content items GET
GET /api/bundles/{bundleId}/items. List a bundle's content items. Headless LMS Content API reference.
Remove a content item from a bundle (the content survives) DELETE
DELETE /api/bundles/{bundleId}/items/{contentId}. Remove a content item from a bundle (the content survives). Headless LMS Content API reference.